Просмотр исходного кода

* Finished .deps/ creation for configure
The Makefile list is static in autotools/includes/depend.m4
* Moved autotools/aclocal.m4 to autotools/includes/acinclude.m4
* Added adlocal to the autotools Makefile


svn: 614

Bryan Drewery 22 лет назад
Родитель
Сommit
c62afde3c1

+ 1 - 0
Makefile.in

@@ -88,6 +88,7 @@ distclean: clean clean-modconfig
 	@rm -f Makefile src/Makefile src/compat/Makefile src/mod/Makefile
 	@rm -f config.cache config.log config.status config.h lush.h stamp.*
 	@rm -rf *-$(VERSION)/ autom4te.cache/ autoscan.log configure.scan src/salt.h.tmp src/conf.h
+	@rm -rf src/.deps/ src/compat/.deps/ src/mod/*.mod/.deps/
 
 
 distrib: clean clean-modconfig

+ 15 - 10
autotools/Makefile

@@ -1,5 +1,17 @@
 
-all: clean autoconf autoheader clean_again
+all: clean aclocal autoheader autoconf clean_again
+
+
+aclocal:
+	@rm -rf aclocal.m4
+	aclocal-1.6 -I includes/
+
+autoheader:
+	@rm -rf ../config.h.in
+	@echo "Autoheader..."
+	@autoheader
+	@mv -f config.h.in ../config.h.in
+	@ls -al ../config.h.in
 
 autoconf: 
 	@rm -rf ../configure
@@ -14,17 +26,10 @@ autoconf:
 	@chmod 700 ../configure
 	@ls -al ../configure
 
-autoheader:
-	@rm -rf ../config.h.in
-	@echo "Autoheader..."
-	@autoheader
-	@mv -f config.h.in ../config.h.in
-	@ls -al ../config.h.in
-
 clean:
 	@echo "Cleaning..."
-	@rm -rf autom4te.cache/ configure config.h.in
+	@rm -rf autom4te.cache/ configure config.h.in aclocal.m4
 
 clean_again:
 	@echo "Cleaning..."
-	@rm -rf autom4te.cache/ configure config.h.in
+	@rm -rf autom4te.cache/ configure config.h.in aclocal.m4

+ 2 - 0
autotools/configure.ac

@@ -194,7 +194,9 @@ AC_CACHE_SAVE
 EGG_SUBST_VERSION
 EGG_SUBST_MOD_UPDIR
 EGG_CATCH_MAKEFILE_REBUILD
+DO_DEPS
 
 AC_CONFIG_FILES([Makefile src/Makefile src/compat/Makefile src/mod/Makefile])
 AC_OUTPUT
 
+

+ 0 - 0
autotools/aclocal.m4 → autotools/includes/acinclude.m4


+ 36 - 0
autotools/includes/depend.m4

@@ -0,0 +1,36 @@
+# DO_DEPS
+# ------------------------------
+AC_DEFUN([DO_DEPS],
+[
+files="src/Makefile src/compat/Makefile src/mod/channels.mod/Makefile src/mod/compress.mod/Makefile src/mod/console.mod/Makefile src/mod/ctcp.mod/Makefile src/mod/dns.mod/Makefile.in src/mod/irc.mod/Makefile src/mod/notes.mod/Makefile src/mod/server.mod/Makefile src/mod/share.mod/Makefile src/mod/transfer.mod/Makefile src/mod/update.mod/Makefile"
+for mf in $files; do
+  # Strip MF so we end up with the name of the file.
+#  echo "MF: $mf"
+  mf=`echo "$mf" | sed -e 's/:.*$//'`
+  dirpart=`AS_DIRNAME("$mf")`
+#  echo "dirpart: $dirpart mf: $mf"
+  rm -rf "$dirpart/.deps/"
+  test -d "$dirpart/.deps" || mkdir "$dirpart/.deps"
+  for file in `sed -n -e '
+    /^OBJS = .*\\\\$/ {
+      s/^OBJS = //
+      :loop   s/\\\\$//
+        p
+        n
+        /\\\\$/ b loop
+      p
+    }
+    /^OBJS = / s/^OBJS = //p' < "$mf"`;
+  do
+    base=`basename $file .o`
+    test -f "$dirpart/$base.c" || continue
+#    fdir=`AS_DIRNAME(["$file"])`
+#    AS_MKDIR_P([$dirpart/$fdir])
+#    echo "creating $dirpart/.deps/$base.Po"
+    echo '# dummy' > "$dirpart/.deps/$base.Po"
+    echo "include .deps/$base.Po" >> "$dirpart/.deps/includes"
+  done
+done
+])# DO_DEPS
+
+

+ 57 - 68
configure

@@ -2554,13 +2554,14 @@ fi
 rm -f conftest*
 
 
-echo "$as_me:$LINENO: checking for library containing strerror" >&5
-echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6
-if test "${ac_cv_search_strerror+set}" = set; then
+
+        echo "$as_me:$LINENO: checking for strerror in -lcposix" >&5
+echo $ECHO_N "checking for strerror in -lcposix... $ECHO_C" >&6
+if test "${ac_cv_lib_cposix_strerror+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_func_search_save_LIBS=$LIBS
-ac_cv_search_strerror=no
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lcposix  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -2604,79 +2605,24 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_search_strerror="none required"
+  ac_cv_lib_cposix_strerror=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+ac_cv_lib_cposix_strerror=no
 fi
 rm -f conftest.err conftest.$ac_objext \
       conftest$ac_exeext conftest.$ac_ext
-if test "$ac_cv_search_strerror" = no; then
-  for ac_lib in cposix; do
-    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
-    cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char strerror ();
-int
-main ()
-{
-strerror ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_search_strerror="-l$ac_lib"
-break
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-  done
+LIBS=$ac_check_lib_save_LIBS
 fi
-LIBS=$ac_func_search_save_LIBS
+echo "$as_me:$LINENO: result: $ac_cv_lib_cposix_strerror" >&5
+echo "${ECHO_T}$ac_cv_lib_cposix_strerror" >&6
+if test $ac_cv_lib_cposix_strerror = yes; then
+  LIBS="$LIBS -lcposix"
 fi
-echo "$as_me:$LINENO: result: $ac_cv_search_strerror" >&5
-echo "${ECHO_T}$ac_cv_search_strerror" >&6
-if test "$ac_cv_search_strerror" != no; then
-  test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
 
-fi
+
 
 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
@@ -12307,6 +12253,48 @@ esac
 
 
 
+files="src/Makefile src/compat/Makefile src/mod/channels.mod/Makefile src/mod/compress.mod/Makefile src/mod/console.mod/Makefile src/mod/ctcp.mod/Makefile src/mod/dns.mod/Makefile.in src/mod/irc.mod/Makefile src/mod/notes.mod/Makefile src/mod/server.mod/Makefile src/mod/share.mod/Makefile src/mod/transfer.mod/Makefile src/mod/update.mod/Makefile"
+for mf in $files; do
+  # Strip MF so we end up with the name of the file.
+#  echo "MF: $mf"
+  mf=`echo "$mf" | sed -e 's/:.*$//'`
+  dirpart=`(dirname "$mf") 2>/dev/null ||
+$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+	 X"$mf" : 'X\(//\)[^/]' \| \
+	 X"$mf" : 'X\(//\)$' \| \
+	 X"$mf" : 'X\(/\)' \| \
+	 .     : '\(.\)' 2>/dev/null ||
+echo X"$mf" |
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
+  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
+  	  /^X\(\/\/\)$/{ s//\1/; q; }
+  	  /^X\(\/\).*/{ s//\1/; q; }
+  	  s/.*/./; q'`
+#  echo "dirpart: $dirpart mf: $mf"
+  rm -rf "$dirpart/.deps/"
+  test -d "$dirpart/.deps" || mkdir "$dirpart/.deps"
+  for file in `sed -n -e '
+    /^OBJS = .*\\\\$/ {
+      s/^OBJS = //
+      :loop   s/\\\\$//
+        p
+        n
+        /\\\\$/ b loop
+      p
+    }
+    /^OBJS = / s/^OBJS = //p' < "$mf"`;
+  do
+    base=`basename $file .o`
+    test -f "$dirpart/$base.c" || continue
+#    fdir=`AS_DIRNAME(["$file"])`
+#    AS_MKDIR_P([$dirpart/$fdir])
+#    echo "creating $dirpart/.deps/$base.Po"
+    echo '# dummy' > "$dirpart/.deps/$base.Po"
+    echo "include .deps/$base.Po" >> "$dirpart/.deps/includes"
+  done
+done
+
+
                                         ac_config_files="$ac_config_files Makefile src/Makefile src/compat/Makefile src/mod/Makefile"
 
 cat >confcache <<\_ACEOF
@@ -13597,3 +13585,4 @@ if test "$no_create" != yes; then
 fi
 
 
+

+ 31 - 31
src/Makefile.in

@@ -14,35 +14,35 @@ STRIP = @STRIP@
 CFLAGS = @CFLAGS@ -I.. -I$(top_srcdir) -I$(top_srcdir)/pack @DEFS@ $(CFLGS)
 CPPFLAGS = @CPPFLAGS@
 
-eggdrop_objs 		= auth.o \
-			bg.o \
-			botcmd.o \
-			botmsg.o \
-			botnet.o \
-			chanprog.o \
-			cmds.o \
-			config.o \
-			core_binds.o \
-			crypt.o \
-			dcc.o \
-			dccutil.o \
-			debug.o \
-			dns.o \
-			egg_timer.o \
-			flags.o \
-			main.o \
-			mem.o \
-			misc.o \
-			misc_file.o \
-			modules.o \
-			net.o \
-			rfc1459.o \
-			settings.o \
-			tcl.o \
-			tclhash.o \
-			userent.o \
-			userrec.o \
-			users.o
+OBJS = auth.o \
+	bg.o \
+	botcmd.o \
+	botmsg.o \
+	botnet.o \
+	chanprog.o \
+	cmds.o \
+	config.o \
+	core_binds.o \
+	crypt.o \
+	dcc.o \
+	dccutil.o \
+	debug.o \
+	dns.o \
+	egg_timer.o \
+	flags.o \
+	main.o \
+	mem.o \
+	misc.o \
+	misc_file.o \
+	modules.o \
+	net.o \
+	rfc1459.o \
+	settings.o \
+	tcl.o \
+	tclhash.o \
+	userent.o \
+	userrec.o \
+	users.o
 
 MAKE_GENERIC = $(MAKE) 'MAKE=$(MAKE)' 'CC=$(CC)' 'LD=$(LD)' 'STRIP=$(STRIP)' 'CFLGS=$(CFLGS)'
 
@@ -71,12 +71,12 @@ stringfix: stringfix.c main.h ../config.h ../pack/pack.cfg eggdrop.h
 	@$(CC) $(CFLAGS) -I$(top_srcdir) -I$(top_srcdir)/pack $(CPPFLAGS) stringfix.c -o stringfix
 	@$(STRIP) stringfix
 
-../$(EGGEXEC): build_msg $(eggdrop_objs) $(XREQS) compatability
+../$(EGGEXEC): build_msg $(OBJS) $(XREQS) compatability
 	@echo ""
 	@echo "Linking wraith... $(EGGBUILD)"
 	@echo ""
 	@touch mod/mod.xlibs
-	@$(LD) -o ../$(EGGEXEC) $(eggdrop_objs) $(MODOBJS) $(XLIBS) compat/*.o `cat mod/mod.xlibs`
+	@$(LD) -o ../$(EGGEXEC) $(OBJS) $(MODOBJS) $(XLIBS) compat/*.o `cat mod/mod.xlibs`
 	@$(STRIP) ../$(EGGEXEC)
 	@echo "Successful compile: $(EGGEXEC)"
 	@echo ""

+ 7 - 1
src/compat/Makefile.in

@@ -14,7 +14,13 @@ STRIP = @STRIP@
 CFLAGS = @CFLAGS@ -I../.. -I$(top_srcdir) -I$(top_srcdir)/src @DEFS@ $(CFLGS)
 CPPFLAGS = @CPPFLAGS@
 
-OBJS = inet_aton.o inet_ntop.o snprintf.o memset.o memcpy.o strcasecmp.o strftime.o
+OBJS = inet_aton.o \
+	inet_ntop.o \
+	snprintf.o \
+	memset.o \
+	memcpy.o \
+	strcasecmp.o \
+	strftime.o
 
 doofus:
 	@echo ""

+ 3 - 0
src/mod/channels.mod/Makefile

@@ -3,6 +3,9 @@
 srcdir = .
 depcomp = /bin/sh ../../../autotools/depcomp
 
+#This line is simple for configure to generate .deps/
+OBJS = channels.o
+
 doofus:
 	@echo ""
 	@echo "Let's try this from the right directory..."

+ 2 - 0
src/mod/compress.mod/Makefile

@@ -3,6 +3,8 @@
 srcdir = .
 depcomp = /bin/sh ../../../autotools/depcomp
 
+#This line is simple for configure to generate .deps/
+OBJS = compress.o
 
 doofus:
 	@echo ""

+ 2 - 0
src/mod/console.mod/Makefile

@@ -3,6 +3,8 @@
 srcdir = .
 depcomp = /bin/sh ../../../autotools/depcomp
 
+#This line is simple for configure to generate .deps/
+OBJS = console.o
 
 doofus:
 	@echo ""

+ 2 - 0
src/mod/ctcp.mod/Makefile

@@ -3,6 +3,8 @@
 srcdir = .
 depcomp = /bin/sh ../../../autotools/depcomp
 
+#This line is simple for configure to generate .deps/
+OBJS = ctcp.o
 
 doofus:
 	@echo ""

+ 3 - 0
src/mod/dns.mod/Makefile.in

@@ -5,6 +5,9 @@ RESINCLUDE = @RESINCLUDE@
 srcdir = .
 depcomp = /bin/sh ../../../autotools/depcomp
 
+#This line is simple for configure to generate .deps/
+OBJS = dns.o
+
 doofus:
 	@echo ""
 	@echo "Let's try this from the right directory..."

+ 3 - 0
src/mod/irc.mod/Makefile

@@ -4,6 +4,9 @@ srcdir = .
 depcomp = /bin/sh ../../../autotools/depcomp
 
 
+#This line is simple for configure to generate .deps/
+OBJS = irc.o
+
 doofus:
 	@echo ""
 	@echo "Let's try this from the right directory..."

+ 2 - 0
src/mod/notes.mod/Makefile

@@ -3,6 +3,8 @@
 srcdir = .
 depcomp = /bin/sh ../../../autotools/depcomp
 
+#This line is simple for configure to generate .deps/
+OBJS = notes.o
 
 doofus:
 	@echo ""

+ 2 - 0
src/mod/server.mod/Makefile

@@ -3,6 +3,8 @@
 srcdir = .
 depcomp = /bin/sh ../../../autotools/depcomp
 
+#This line is simple for configure to generate .deps/
+OBJS = server.o
 
 doofus:
 	@echo ""

+ 2 - 0
src/mod/share.mod/Makefile

@@ -3,6 +3,8 @@
 srcdir = .
 depcomp = /bin/sh ../../../autotools/depcomp
 
+#This line is simple for configure to generate .deps/
+OBJS = share.o
 
 doofus:
 	@echo ""

+ 2 - 0
src/mod/transfer.mod/Makefile

@@ -3,6 +3,8 @@
 srcdir = .
 depcomp = /bin/sh ../../../autotools/depcomp
 
+#This line is simple for configure to generate .deps/
+OBJS = transfer.o
 
 doofus:
 	@echo ""

+ 2 - 0
src/mod/update.mod/Makefile

@@ -3,6 +3,8 @@
 srcdir = .
 depcomp = /bin/sh ../../../autotools/depcomp
 
+#This line is simple for configure to generate .deps/
+OBJS = update.o
 
 doofus:
 	@echo ""